## crawl 0.33.1

=== source/Makefile ===
# vim:set ts=8 sw=4 noexpandtab:
#
# Dungeon Crawl Stone Soup
# GNU Makefile
#
# largely written by Steven Noonan <steven@uplinklabs.net>
#    (if something breaks, blame him.)
#

# Typical targets:
#    make
#    make debug
#    make debug-lite    # Like "make debug", but without all the spew.
#    make install
#    make debug install
#    -- note, unlike most programs, you need to specify build type when
#       installing even if you just built it.
# Typical parameters:
#    TILES         -- set to anything to enable tiles build
#
#    SOUND         -- set to anything to enable sound; note that you will need to
#                     uncomment some lines in sound.h if not building tiles
#
#    CROSSHOST     -- target system, eg, i386-pc-msdosdjgpp or i586-mingw32msvc
#
#    prefix        -- installation base.  Specify eg. /usr/local on Unix systems.
#    DESTDIR       -- installation staging area (the dir you intend to pack)
#    DATADIR       -- place to hold immutable files.  Can be either relative to
#                     "prefix" or absolute.
#    SAVEDIR       -- place to hold writeable data (saves, database, morgue
#                     dumps).  Can be relative to "prefix", absolute or placed
#                     in the user's home dir (~).  Remember to protect the ~
#                     from your shell!
#                     Warning, as of 0.8, directories shared between
#                     multiple system users are no longer supported.
#    SHAREDDIR     -- place to hold writeable data common to multiple
#                     versions of Crawl (scores, the logfile, ghosts).  Will
#                     be placed inside the SAVEDIR if not specified.
#       Layout examples:
#         prefix=~/crawl DATADIR=data/ SAVEDIR=saves/
#                  -- everything under ~/crawl
#         prefix=/usr/local
#                  -- system-wide installation
#
#    V             -- set to anything to enable verbose build
#
#    USE_ICC       -- set to use Intel's compiler
#    LTO           -- set for better optimization but slower compilation,
#                     requires gcc4.6+
#    NO_TRY_LLD    -- if set don't try to detect a working lld linker
#    NO_TRY_GOLD   -- if set don't try to detect a working gold linker
#    NOASSERTS     -- set to disable assertion checks (ignored in debug mode)
#    NOWIZARD      -- set to disable wizard mode.  Use if you have untrusted
#                     remote players without DGL.
#
#    PROPORTIONAL_FONT -- set to a .ttf file you want to use for a proportional
#                         font; if not set, a copy of Bitstream Vera Sans
#                         shipped with Crawl will be used
#    MONOSPACED_FONT   -- monospaced font; Bitstream Vera Mono Sans
#    COPY_FONTS    -- force installing fonts
#
#    WEBTILES      -- set to anything to compile for Webtiles
#    WEBDIR        -- place to hold the Webtiles client data. Can be either
#                     relative to prefix or absolute.
#
#    LINUXDEPLOY   -- path to linuxdeploy tool, required for AppImage builds
#    ANDROID       -- perform an Android build (see docs/develop/android.txt)
#
# For various mac build tricks oriented at release builds see the various
# mac-app-* targets as well as the crawl-universal target. (For normal dev
# circumstances, none of this is needed.)
#
# There are a number of #defines that may be useful for downstream packaging
# or custom server setups. See AppHdr.h for more details. Of note:
#
#    VERSIONED_CACHE_DIR -- use a cache dir per version, rather than a shared
#                           cache dir across versions. This may be useful for
#                           reproducible builds, since the shared cache
#                           directory makes use of mtimes.
#
# To set defines from the command line while building, use EXTERNAL_DEFINES.
# E.g.: make EXTERNAL_DEFINES="-DVERSIONED_CACHE_DIR"
#
# Requirements:
#    For tile builds, you need pkg-config.
#    You also need libpng, sdl2, sdl2-image, sdl2-mixer and libfreetype -- if
#    you got your source from git, you can 'git submodule update' to fetch
#    them; you can also ask for a package with convenience libraries instead --
#    we'll try to provide them somewhere in the near future.

# allow overriding GAME at the command line, intended for downstream packaging
# processes. Not supported for MSYS2/cygwin builds, and will be overridden for
# mac universal builds. This does not count as a change in build flags.
ifndef GAME
	GAME = crawl
endif

# Disable GNU Make implicit rules and variables. Leaving them enabled will slow
# down MinGW and Cygwin builds by a very VERY noticeable degree. Besides, we have
# _explicit_ rules defined for everything. So we don't need them.
MAKEFLAGS += -rR # This only works for recursive makes, i.e. contribs ...
.SUFFIXES:       # ... so zap the suffix list to neutralize most predefined rules, too

.PHONY: all test install clean clean-contrib clean-rltiles clean-android \
        clean-appimage clean-catch2 clean-plug-and-play-tests \
        clean-coverage clean-coverage-full \
        appimage distclean debug debug-lite profile package-source source \
        build-windows package-windows-installer docs greet api api-dev android FORCE \
        monster catch2-tests plug-and-play-tests \
        crawl-universal crawl-arm64-apple-macos11 crawl-x86_64-apple-macos10.7 clean-mac

include Makefile.obj

#
# Compiler Flags
#
# The compiler flag variables are separated into their individual
# purposes, making it easier to deal with the various tools involved
# in a compile.
#
# These are also divided into global vs. local flags. So for instance,
# CFOPTIMIZE affects Crawl, Lua, and SQLite, while CFOPTIMIZE_L only
# affects Crawl.
#
# The variables are as follows:
# CFOPTIMIZE(_L) - Optimization flags
# CFWARN(_L) - Warning flags
# CFOTHERS(_L) - Anything else
#

# Which C++ standard to support
STDFLAG = -std=c++11

CFOTHERS := -pipe $(EXTERNAL_FLAGS)
# Build with FORCE_SSE=y to get better seed stability on 32 bit x86 builds. It
# is not recommended to do this unless you are building with contrib lua.
# On any 64bit  builds where the arch supports it, (at least) sse2 is implied.
ifdef FORCE_SSE
CFOTHERS += -mfpmath=sse -msse2
endif

CFWARN :=
CFWARN_L := -Wall -Wformat-security -Wundef

# Exceptions:
#  -Wmissing-field-initializers: need c++14 to set default struct fields
#  -Wimplicit-fallthrough: need c++17 for [[fallthrough]]
#  -Wtype-limits: mostly complains about ASSERT_RANGE, and _Pragma is buggy on
#      old g++ anyway: re-enable when we bump the minimum g++ version
#  -Wuninitialized: added later in this makefile, conditional on NO_OPTIMIZE
CFWARN_L += -Wextra \
	    -Wno-missing-field-initializers \
	    -Wno-implicit-fallthrough \
	    -Wno-type-limits \
	    -Wno-uninitialized \

DEFINES := $(EXTERNAL_DEFINES)

ifndef ANDROID
LDFLAGS :=
endif

#
# The GCC and GXX variables are set later.
#
AR = ar
RANLIB = ranlib
CC = $(GCC)
CXX = $(GXX)
RM = rm -f
COPY = cp
COPY_R = cp -r
STRIP = strip -s
SED = sed
WINDRES = windres
CHMOD = chmod 2>/dev/null
CHOWN = chown 2>/dev/null
PNGCRUSH = $(COPY)
PNGCRUSH_LABEL = COPY
ADVPNG = advpng -z -2
PKGCONFIG = pkg-config
DOXYGEN = doxygen
DOXYGEN_SIMPLE_CONF = crawl_simple.doxy
DOXYGEN_ALL_CONF = crawl_all.doxy
DOXYGEN_HTML_GEN = html/
# Prefer python3, if available
PYTHON = python
ifneq (, $(shell which python3 2>&1))
	PYTHON = python3
endif

export AR
export RANLIB
export RM
export CC
export CXX
export CFLAGS
export STDFLAG
export MAKEFLAGS
export CONFIGURE_FLAGS
export uname_S

#
# Platform Detection
#
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
uname_M := $(shell sh -c 'uname -m 2>/dev/null || echo not')

HOST := $(shell sh -c 'cc -dumpmachine || echo unknown')
ARCH := $(HOST)

ifdef CROSSHOST
	# XX is there a way of integrating this with mac cross-compiling?
	ARCH := $(CROSSHOST)
	ifneq (,$(shell which $(ARCH)-pkg-config 2>/dev/null))
	  PKGCONFIG = $(ARCH)-pkg-config
	else
	  ifneq (,$(wildcard /usr/$(ARCH)/lib/pkgconfig))
	    PKGCONFIG = PKG_CONFIG_LIBDIR=/usr/$(ARCH)/lib/pkgconfig pkg-config
	  else
	    NO_PKGCONFIG = YesPlease
	    BUILD_LUA = yes
	    BUILD_SQLITE = yes
	    BUILD_ZLIB = YesPlease
	  endif
	endif
	NO_AUTO_OPT = YesPlease
	CONFIGURE_FLAGS += --host=$(CROSSHOST)

	# If needed, override uname_S so we get the appropriate
	# things compiled.
	ifneq (,$(findstring mingw,$(CROSSHOST)))
		uname_S=MINGW32
	endif

endif

msys =
ifneq (,$(findstring MINGW,$(uname_S)))
	msys = Yes
endif
ifneq (,$(findstring MSYS,$(uname_S)))
	msys = Yes
endif
ifdef msys
	GAME = crawl.exe
	bin_prefix = .
	WIN32 = Yes
	NO_NCURSES = YesPlease
	NEED_LIBW32C = YesPlease
	BUILD_PCRE = YesPlease
	BUILD_ZLIB = YesPlease
	BUILD_SQLITE = YesPlease
	SOUND = YesPlease
	DEFINES_L += -DWINMM_PLAY_SOUNDS -D__USE_MINGW_ANSI_STDIO
	EXTRA_LIBS += -lwinmm
	ifdef TILES
		EXTRA_LIBS += -lmingw32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lversion contrib/install/$(ARCH)/lib/libSDL2main.a -mwindows
		BUILD_FREETYPE = YesPlease
		BUILD_SDL2 = YesPlease
		BUILD_SDL2IMAGE = YesPlease
		BUILD_LIBPNG = YesPlease
		COPY_FONTS = yes
	endif
	ifeq ($(shell gcc -v -static -static-libstdc++ 2>&1 | grep 'unrecognized option'),)
		EXTRA_LIBS += -static -static-libgcc -static-libstdc++
	endif
endif
ifeq ($(uname_S),Darwin)
ifdef MAC_TARGET
	# for reasons I really cannot figure out, setting GAME later (when the
	# other MAC_TARGET checks are done) really does not work.
	GAME = crawl-$(MAC_TARGET)
endif

	STRIP := strip -x
	NEED_APPKIT = YesPlease
	LIBNCURSES_IS_UNICODE = Yes
	ifdef TILES
		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL -framework AudioToolbox -framework CoreVideo
		COPY_FONTS = yes
	endif
	ifndef FORCE_PKGCONFIG
		NO_PKGCONFIG = Yes
		# is any of this stuff actually needed if NO_PKGCONFIG is set?
		BUILD_SQLITE = YesPlease
		BUILD_ZLIB = YesPlease
		ifdef TILES
			EXTRA_LIBS += contrib/install/$(ARCH)/lib/libSDL2main.a
			BUILD_FREETYPE = YesPlease
			BUILD_SDL2 = YesPlease
			BUILD_SDL2IMAGE = YesPlease
			ifdef SOUND
				ifndef WIN32
					BUILD_SDL2MIXER = YesPlease
				endif
			endif
			BUILD_LIBPNG = YesPlease
		endif
	endif
endif
ifneq (,$(findstring CYGWIN,$(uname_S)))
	GAME = crawl.exe
	BUILD_PCRE = YesPlease
	# newlib doesn't provide Posix functions with c++11
	STDFLAG = -std=gnu++11
endif

ifdef BUILD_ALL
	ifdef TILES
		BUILD_FREETYPE = YesPlease
		BUILD_SDL2 = YesPlease
		BUILD_SDL2IMAGE = YesPlease
		BUILD_LIBPNG = YesPlease
	endif
	ifdef WEBTILES
		BUILD_LIBPNG = YesPlease
	endif

	BUILD_PCRE = YesPlease
	ifdef SOUND
		ifndef WIN32
			BUILD_SDL2MIXER = YesPlease
		endif
	endif
	BUILD_SQLITE = YesPlease
	BUILD_LUA = YesPlease
	BUILD_ZLIB = YesPlease
endif

# Should be the first rule, but must come after $(GAME) is set.
all: greet check-fonts $(GAME) docs webserver

# XX these are set wrong on mac cross-compiling
LIBPCRE := contrib/install/$(ARCH)/lib/libpcre.a
LIBSDL2 := contrib/install/$(ARCH)/lib/libSDL2.a
LIBPNG := contrib/install/$(ARCH)/lib/libpng.a
LIBSDL2IMAGE := contrib/install/$(ARCH)/lib/libSDL2_image.a
LIBSDL2MIXER := contrib/install/$(ARCH)/lib/libSDL2_mixer.a
LIBFREETYPE := contrib/install/$(ARCH)/lib/libfreetype.a
LIBSQLITE := contrib/install/$(ARCH)/lib/libsqlite3.a
ifdef USE_LUAJIT
LIBLUA := contrib/install/$(ARCH)/lib/libluajit.a
else
LIBLUA := contrib/install/$(ARCH)/lib/liblua.a
endif
LIBZ := contrib/install/$(ARCH)/lib/libz.a

#
# Set up the TILES variant
#
ifdef TILES
TILES_ANY = YesPlease
OBJECTS += $(TILES_OBJECTS) $(GLTILES_OBJECTS)
  ifdef WEBTILES
    OBJECTS += $(error Web and local tiles are exclusive)
  endif
endif

ifdef WEBTILES
TILES_ANY = YesPlease
OBJECTS += $(TILES_OBJECTS) $(WEBTILES_OBJECTS)
ifdef NO_PKGCONFIG
BUILD_LIBPNG = YesPlease # used by build-rltiles sub-make
endif
endif

ifdef ANDROID
TILES_ANY = YesPlease
endif

#

=== source/webserver/Makefile ===
lint:
	flake8 --mypy-config=mypy.ini *.py webtiles/*.py


format:
	isort --check-only --recursive .


.PHONY: lint format

=== debian/changelog ===
crawl (2:0.33.1-3) unstable; urgency=medium

  * Fix broken autopkgtest.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 27 Oct 2025 13:31:18 -0700

crawl (2:0.33.1-2) unstable; urgency=medium

  * Add autopkgtest test suite for crawl.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 26 Oct 2025 17:55:04 -0700

crawl (2:0.33.1-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * Salvage package; move maintainership of package to Debian Games team, and
    add all previous maintainers as Uploaders. Thanks to all previous
    maintainers for their work! (Closes: #1110842)
    - Upload to salsa and update Vcs-* headers in d/control.
  * New upstream release. (Closes: #1061682)
    - Damage ratings are now shown via @, including those for unarmed combat.
      This was introduced in 0.30. (Closes: #530817)
  * Drop debian/patches/bogus_watch. Modern uscan now defaults to
    --check-dirname-level=1, so no need to overwrite upstream watch file.
  * Update d/watch to pull in correct nodeps tarball.
  * Update obsolete build-deps (libfreetype6-dev => libfreetype-dev,
    libncursesw5-dev => libncurses-dev, pkg-config => pkgconf).
  * Drop unused build-deps libglu-dev and moreutils.
  * Update d/copyright to use machine-readable DEP-5 format.
  * Run wrap-and-sort -sa and fix trailing whitespaces in d/changelog.
  * Add DEP-12 debian/upstream/metadata file.
  * Bump Standards-Version to 4.7.2.
  * Cherry-pick changes from upstream packaging.

  [ robertxgray ]
  * Debian build updated to make use of the install-xdg-data target.
  * Common files have been removed from the debian folder.
  * Fixed missing icon in crawl menu item if crawl-tiles is not installed.
  * Use Debian's uses machine-readable format for copyright file.
  * Remove menu files based on CTTE #741573.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 31 Aug 2025 11:27:45 -0700

=== debian/control ===
Source: crawl
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Guus Sliepen <guus@debian.org>,
 Trent W. Buck <trentbuck@gmail.com>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends:
 advancecomp,
 bison,
 debhelper-compat (= 13),
 flex,
 libfreetype-dev,
 liblua5.1-0-dev,
 libncurses-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsqlite3-dev,
 pkgconf,
 python3-yaml
Standards-Version: 4.7.2
Homepage: https://crawl.develz.org/
Vcs-Git: https://salsa.debian.org/games-team/crawl.git
Vcs-Browser: https://salsa.debian.org/games-team/crawl
Rules-Requires-Root: no

Package: crawl-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 crawl | crawl-tiles
Description: Dungeon Crawl, a text-based roguelike game (data files)
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 These are the data and support files.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl
Architecture: any
Depends:
 crawl-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Dungeon Crawl, a text-based roguelike game
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the console version, for tiles, use crawl-tiles instead.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl-tiles-data
Architecture: all
Depends:
 crawl-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 crawl-tiles
Description: Dungeon Crawl, a text-based roguelike game (tile data files)
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 These are the tile graphics.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl-tiles
Architecture: any
Depends:
 crawl-common (= ${source:Version}),
 crawl-tiles-data (= ${source:Version}),
 fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Dungeon Crawl, a roguelike game, tiles version
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the graphical (tiles) version.
 .
 This is the Stone Soup version of Dungeon Crawl.

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/;\
                     s/(\d.*)\/stone_soup[_\.\-\+](\d.*)$/$1/" \
  https://github.com/crawl/crawl/releases .*/v?(\d.*)-nodeps@ARCHIVE_EXT@

## crawl 0.34.0

=== debian/changelog ===
crawl (2:0.34.0-1) unstable; urgency=medium

  * New upstream release.
    - Replace build-dep on liblua5.1-0-dev with liblua5.4-dev.
  * Bump Standards-Version to 4.7.3.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 07 Feb 2026 14:34:26 -0800

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  debhelper-compat (= 13),
  flex,
  libfreetype-dev,
- liblua5.1-0-dev,
+ liblua5.4-dev,
  libncurses-dev,
  libpng-dev,
  libsdl2-dev,
@@ -21,7 +21,7 @@
  libsqlite3-dev,
  pkgconf,
  python3-yaml
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://crawl.develz.org/
 Vcs-Git: https://salsa.debian.org/games-team/crawl.git
 Vcs-Browser: https://salsa.debian.org/games-team/crawl

## crawl 1.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal movement data
Version: 1.0
Date: 2008-12-12
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.4.0)
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary was designed for fitting
	     continuous-time correlated random walk (CTCRW) models with time indexed
	     covariates. The model is fit using the Kalman-Filter on a state space
	     version of the continuous-time stochastic movement process.
License: GPL (>=2)
LazyLoad: yes
Packaged: Wed Dec 17 14:22:23 2008; johnsond

## crawl 1.0-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: crawl
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal movement data
-Version: 1.0
+Version: 1.0-1
 Date: 2008-12-12
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
@@ -12,4 +12,4 @@
 	     version of the continuous-time stochastic movement process.
 License: GPL (>=2)
 LazyLoad: yes
-Packaged: Wed Dec 17 14:22:23 2008; johnsond
+Packaged: Fri Jan  9 10:09:52 2009; xjohnson

## crawl 1.0-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: crawl
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal movement data
-Version: 1.0-1
-Date: 2008-12-12
+Version: 1.0-3
+Date: 2008-01-10
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Depends: R (>= 2.4.0)
@@ -12,4 +12,4 @@
 	     version of the continuous-time stochastic movement process.
 License: GPL (>=2)
 LazyLoad: yes
-Packaged: Fri Jan  9 10:09:52 2009; xjohnson
+Packaged: Mon Feb  2 11:53:27 2009; xjohnson

## crawl 1.0-4

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal
        movement data
Version: 1.0-4
Date: 2009-05-05
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.4.0)
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of R functions
        was designed for fitting continuous-time correlated random walk
        (CTCRW) models with time indexed covariates. The model is fit
        using the Kalman-Filter on a state space version of the
        continuous-time staochistic movement process.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2009-05-05 21:54:43 UTC; johnsond
Repository: CRAN
Date/Publication: 2009-05-06 12:01:01

## crawl 1.1-0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal
        movement data
Version: 1.1-0
Date: 2009-07-06
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.4.0), mvtnorm
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of R functions
        was designed for fitting continuous-time correlated random walk
        (CTCRW) models with time indexed covariates. The model is fit
        using the Kalman-Filter on a state space version of the
        continuous-time staochistic movement process.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2009-12-11 20:33:47 UTC; johnsond
Repository: CRAN
Date/Publication: 2009-12-13 09:46:29

## crawl 1.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal
         movement data
-Version: 1.1-0
+Version: 1.1-1
 Date: 2009-07-06
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
@@ -14,6 +14,6 @@
         continuous-time staochistic movement process.
 License: GPL (>= 2)
 LazyLoad: yes
-Packaged: 2009-12-11 20:33:47 UTC; johnsond
+Packaged: 2010-04-01 19:13:32 UTC; johnsond@afsc.noaa.gov
 Repository: CRAN
-Date/Publication: 2009-12-13 09:46:29
+Date/Publication: 2010-04-02 17:07:57

## crawl 1.2

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal
        movement data
Version: 1.2
Date: 2011-01-20
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.4.0), mvtnorm
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of R functions
        was designed for fitting continuous-time correlated random walk
        (CTCRW) models with time indexed covariates. The model is fit
        using the Kalman-Filter on a state space version of the
        continuous-time stochastic movement process.
License: Unlimited
LazyLoad: yes
Packaged: 2011-01-20 18:54:51 UTC; johnsond@afsc.noaa.gov
Repository: CRAN
Date/Publication: 2011-01-21 08:46:10

## crawl 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal
         movement data
-Version: 1.2
-Date: 2011-01-20
+Version: 1.3
+Date: 2011-05-26
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Depends: R (>= 2.4.0), mvtnorm
@@ -14,6 +14,6 @@
         continuous-time stochastic movement process.
 License: Unlimited
 LazyLoad: yes
-Packaged: 2011-01-20 18:54:51 UTC; johnsond@afsc.noaa.gov
+Packaged: 2011-05-25 16:59:50 UTC; johnsond@afsc.noaa.gov
 Repository: CRAN
-Date/Publication: 2011-01-21 08:46:10
+Date/Publication: 2011-05-25 18:10:36

## crawl 1.3-1

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models for animal
        movement data
Version: 1.3-1
Date: 2011-11-26
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: mvtnorm, sp, tripEstimation
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of
    R functions was designed for fitting continuous-time
    correlated random walk (CTCRW) models with time indexed
    covariates. The model is fit using the Kalman-Filter on
    a state space version of the continuous-time stochastic
    movement process.
License: Unlimited
LazyLoad: yes
Collate: 'AllMethod.R' 'crawl-internal.R' 'crawl-package.R' 'crwMLE.R'
        'crwN2ll.R' 'crwPostIS.R' 'crwPredict.R' 'crwPredictPlot.R'
        'crwSamplePar.R' 'crwSimulator.R' 'crwUseGrid.R' 'expandPred.R'
        'fillCols.R' 'getQ.R' 'intToPOSIX.R' 'logSpeed.R'
        'mergeTrackStop.R'
Packaged: 2011-10-27 22:07:21 UTC; johnsond@afsc.noaa.gov
Repository: CRAN
Date/Publication: 2011-10-28 07:08:29

## crawl 1.3-2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Type: Package
 Title: Fit continuous-time correlated random walk models for animal
         movement data
-Version: 1.3-1
-Date: 2011-11-26
+Version: 1.3-2
+Date: 2011-11-21
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
-Depends: mvtnorm, sp, tripEstimation
+Depends: mvtnorm, sp
+Suggests: tripEstimation
 Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of
     R functions was designed for fitting continuous-time
     correlated random walk (CTCRW) models with time indexed
@@ -20,6 +21,6 @@
         'crwSamplePar.R' 'crwSimulator.R' 'crwUseGrid.R' 'expandPred.R'
         'fillCols.R' 'getQ.R' 'intToPOSIX.R' 'logSpeed.R'
         'mergeTrackStop.R'
-Packaged: 2011-10-27 22:07:21 UTC; johnsond@afsc.noaa.gov
+Packaged: 2011-11-22 01:17:37 UTC; johnsond@afsc.noaa.gov
 Repository: CRAN
-Date/Publication: 2011-10-28 07:08:29
+Date/Publication: 2011-12-02 16:22:56

## crawl 1.3-4

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models to animal
        movement data
Version: 1.3-4
Date: 2012-4-7
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: mvtnorm, sp, raster
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of R functions
        was designed for fitting continuous-time correlated random walk
        (CTCRW) models with time indexed covariates. The model is fit
        using the Kalman-Filter on a state space version of the
        continuous-time stochastic movement process.
License: Unlimited
LazyLoad: yes
Collate: 'AllMethod.R' 'crawl-internal.R' 'crawl-package.R' 'crwMLE.R'
        'crwN2ll.R' 'crwPostIS.R' 'crwPredict.R' 'crwPredictPlot.R'
        'crwSamplePar.R' 'crwSimulator.R' 'crwUseGrid.R' 'expandPred.R'
        'fillCols.R' 'getQ.R' 'intToPOSIX.R' 'logSpeed.R'
        'mergeTrackStop.R' 'aic.crw.R'
Packaged: 2012-04-09 18:28:22 UTC; Devin.Johnson@afsc.noaa.gov
Repository: CRAN
Date/Publication: 2012-04-10 04:17:02

## crawl 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit continuous-time correlated random walk models to animal
         movement data
-Version: 1.3-4
-Date: 2012-4-7
+Version: 1.4
+Date: 2013-2-1
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Depends: mvtnorm, sp, raster
@@ -18,7 +18,7 @@
         'crwN2ll.R' 'crwPostIS.R' 'crwPredict.R' 'crwPredictPlot.R'
         'crwSamplePar.R' 'crwSimulator.R' 'crwUseGrid.R' 'expandPred.R'
         'fillCols.R' 'getQ.R' 'intToPOSIX.R' 'logSpeed.R'
-        'mergeTrackStop.R' 'aic.crw.R'
-Packaged: 2012-04-09 18:28:22 UTC; Devin.Johnson@afsc.noaa.gov
+        'mergeTrackStop.R' 'aic.crw.R' 'displayPar.R'
+Packaged: 2013-02-04 17:46:27 UTC; Devin.Johnson@afsc.noaa.gov
 Repository: CRAN
-Date/Publication: 2012-04-10 04:17:02
+Date/Publication: 2013-02-04 20:10:14

## crawl 1.4-1

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit continuous-time correlated random walk models to animal
        movement data
Version: 1.4-1
Date: 2013-7-13
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: mvtnorm, sp, raster
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of
    R functions was designed for fitting continuous-time
    correlated random walk (CTCRW) models with time indexed
    covariates. The model is fit using the Kalman-Filter on
    a state space version of the continuous-time stochastic
    movement process.
License: Unlimited
LazyLoad: yes
Collate: 'AllMethod.R' 'crawl-internal.R' 'crawl-package.R' 'crwMLE.R'
        'crwN2ll.R' 'crwPostIS.R' 'crwPredict.R' 'crwPredictPlot.R'
        'crwSamplePar.R' 'crwSimulator.R' 'crwUseGrid.R' 'expandPred.R'
        'fillCols.R' 'getQ.R' 'intToPOSIX.R' 'logSpeed.R'
        'mergeTrackStop.R' 'aic.crw.R' 'displayPar.R'
Packaged: 2013-07-24 18:12:08 UTC; devin.johnson
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-07-26 18:30:03

## crawl 1.5

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 1.5
Date: 2015-8-19
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: mvtnorm, sp, raster
Suggests: spacetime
Imports: graphics, methods, stats
Description: The (C)orrelated (RA)ndom (W)alk (L)ibrary of
    R functions was designed for fitting continuous-time
    correlated random walk (CTCRW) models with time indexed
    covariates. The model is fit using the Kalman-Filter on
    a state space version of the continuous-time stochastic
    movement process.
License: Unlimited
LazyLoad: yes
NeedsCompilation: yes
Packaged: 2015-08-20 01:33:02 UTC; devin.johnson
Repository: CRAN
Date/Publication: 2015-08-20 10:39:47

## crawl 2.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 2.0
Date: 2016-02-24
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.10)
Imports: mvtnorm, Rcpp (>= 0.11.1), methods, shiny
LinkingTo: Rcpp, RcppArmadillo
Suggests: ggplot2, knitr, rmarkdown, sp, rgdal, argosfilter, tidyr,
        dplyr, lubridate, xts, doParallel
Description: The Correlated Random Walk Library of
    R functions was designed for fitting continuous-time
    correlated random walk models with time indexed
    covariates. The model is fit using the Kalman-filter on
    a state space version of the continuous-time stochastic
    movement process.
License: CC0
LazyLoad: yes
ByteCompile: TRUE
NeedsCompilation: yes
VignetteBuilder: knitr
RoxygenNote: 5.0.1
Packaged: 2016-02-25 22:50:56 UTC; devin.johnson
Repository: CRAN
Date/Publication: 2016-02-26 05:49:23

## crawl 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit Continuous-Time Correlated Random Walk Models to Animal
         Movement Data
-Version: 2.0
-Date: 2016-02-24
+Version: 2.0.1
+Date: 2016-07-22
 Author: Devin S. Johnson
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Depends: R (>= 2.10)
@@ -23,6 +23,6 @@
 NeedsCompilation: yes
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
-Packaged: 2016-02-25 22:50:56 UTC; devin.johnson
+Packaged: 2016-07-29 18:02:17 UTC; devin.johnson
 Repository: CRAN
-Date/Publication: 2016-02-26 05:49:23
+Date/Publication: 2016-07-30 00:06:29

## crawl 2.1.1

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 2.1.1
Date: 2017-04-21
Author: Devin S. Johnson
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Depends: R (>= 2.10)
Imports: mvtnorm, Rcpp (>= 0.11.1), methods, shiny, dplyr, raster,
        gdistance, sp
LinkingTo: Rcpp, RcppArmadillo
Suggests: ggplot2, rgdal, argosfilter, tidyr, lubridate, xts, broom,
        sf, doParallel
Description: Fit continuous-time
    correlated random walk models with time indexed
    covariates to animal telemetry data. The model is fit using the Kalman-filter on
    a state space version of the continuous-time stochastic
    movement process.
License: CC0
LazyLoad: yes
ByteCompile: TRUE
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2017-04-21 19:12:04 UTC; devin.johnson
Repository: CRAN
Date/Publication: 2017-04-21 22:48:36 UTC

## crawl 2.2.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 2.2.0
Date: 2018-08-24
Authors@R: c( person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                  role = c("aut", "cre")),
           person("Josh", "London", email = "josh.london@noaa.gov",
                  role = c("aut")),
           person("Kenady", "Wilson", email = "kenady@wildlifecomputers.com",
                  role = c("ctb")) )
Depends: R (>= 2.10)
Imports: mvtnorm, Rcpp (>= 0.11.1), methods, shiny, dplyr, raster,
        gdistance, rmapshaper, sp, sf, magrittr, lubridate, tibble,
        purrr
LinkingTo: Rcpp, RcppArmadillo
Suggests: ggplot2, rgdal, argosfilter, tidyr, xts, broom, doParallel
Description: Fit continuous-time correlated random walk models with time indexed
    covariates to animal telemetry data. The model is fit using the Kalman-filter on
    a state space version of the continuous-time stochastic movement process.
License: CC0
LazyLoad: yes
ByteCompile: TRUE
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2018-08-24 23:07:54 UTC; djohnson
Author: Devin S. Johnson [aut, cre],
  Josh London [aut],
  Kenady Wilson [ctb]
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Repository: CRAN
Date/Publication: 2018-08-25 04:44:26 UTC

## crawl 2.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit Continuous-Time Correlated Random Walk Models to Animal
         Movement Data
-Version: 2.2.0
-Date: 2018-08-24
+Version: 2.2.1
+Date: 2018-09-12
 Authors@R: c( person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                   role = c("aut", "cre")),
            person("Josh", "London", email = "josh.london@noaa.gov",
@@ -24,10 +24,10 @@
 ByteCompile: TRUE
 NeedsCompilation: yes
 RoxygenNote: 6.0.1
-Packaged: 2018-08-24 23:07:54 UTC; djohnson
+Packaged: 2018-09-14 18:45:39 UTC; djohnson
 Author: Devin S. Johnson [aut, cre],
   Josh London [aut],
   Kenady Wilson [ctb]
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Repository: CRAN
-Date/Publication: 2018-08-25 04:44:26 UTC
+Date/Publication: 2018-09-14 19:20:10 UTC

## crawl 2.3.0

=== DESCRIPTION ===
Package: crawl
Type: Package
Title: Fit Continuous-Time Correlated Random Walk Models to Animal
        Movement Data
Version: 2.3.0
Date: 2022-10-06
Authors@R: c(person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                  role = c("aut", "cre")),
                  person("Josh", "London", email = "josh.london@noaa.gov",
                  role = c("aut")),
                  person("Brett T.", "McClintock", email = "brett.mcclintock@noaa.gov",
                  role = c("ctb")),
           person("Kenady", "Wilson", email = "kenady@wildlifecomputers.com",
                  role = c("ctb")) )
Depends: R (>= 3.4.0)
Imports: mvtnorm, Rcpp (>= 0.11.1), methods, dplyr, sf, sp, tibble,
        magrittr, lubridate, purrr, rlang
LinkingTo: Rcpp, RcppArmadillo
Description: Fit continuous-time correlated random walk models with time indexed
    covariates to animal telemetry data. The model is fit using the Kalman-filter on
    a state space version of the continuous-time stochastic movement process.
License: CC0
Encoding: UTF-8
LazyLoad: yes
ByteCompile: TRUE
NeedsCompilation: yes
RoxygenNote: 7.2.1
LazyData: true
Packaged: 2022-10-06 21:31:16 UTC; devin.johnson
Author: Devin S. Johnson [aut, cre],
  Josh London [aut],
  Brett T. McClintock [ctb],
  Kenady Wilson [ctb]
Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
Repository: CRAN
Date/Publication: 2022-10-09 20:30:02 UTC

## crawl 2.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Fit Continuous-Time Correlated Random Walk Models to Animal
         Movement Data
-Version: 2.3.0
-Date: 2022-10-06
+Version: 2.3.1
+Date: 2026-02-25
 Authors@R: c(person("Devin S.", "Johnson", email = "devin.johnson@noaa.gov",
                   role = c("aut", "cre")),
                   person("Josh", "London", email = "josh.london@noaa.gov",
@@ -24,13 +24,15 @@
 LazyLoad: yes
 ByteCompile: TRUE
 NeedsCompilation: yes
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.3
+URL: https://github.com/NMML/crawl
+BugReports: https://github.com/NMML/crawl/issues
 LazyData: true
-Packaged: 2022-10-06 21:31:16 UTC; devin.johnson
+Packaged: 2026-02-25 17:38:19 UTC; devin.johnson
 Author: Devin S. Johnson [aut, cre],
   Josh London [aut],
   Brett T. McClintock [ctb],
   Kenady Wilson [ctb]
 Maintainer: Devin S. Johnson <devin.johnson@noaa.gov>
 Repository: CRAN
-Date/Publication: 2022-10-09 20:30:02 UTC
+Date/Publication: 2026-02-26 06:10:19 UTC
